%define major 1
%define minor 7
%define fix 3
%define so_major 5
%define so_minor 3

Name: libzip
Version: %{major}.%{minor}.%{fix}
Release: 1
License: BSD-3-Clause
Summary: Zip library
Url: https://libzip.org/

BuildRequires: cmake
BuildRequires: zlib-devel
BuildRequires: bzip2-devel
BuildRequires: xz-devel
BuildRequires: libzstd-devel
BuildRequires: openssl-devel >= 1.1.1
BuildRequires: libutil-devel

Source0: https://libzip.org/download/libzip-%{version}.tar.gz

Patch0: libzip-skip-tests.patch

%description
libzip is a C library for reading, creating, and modifying 
zip archives. Files can be added from data buffers, files, 
or compressed data copied directly from other zip archives. 
Changes made without closing the archive can be reverted.

%package -n libzip%{so_major}
Summary:        libzip shared library
Provides:       %{name} = %{version}-%{release}

%description -n libzip%{so_major}
libzip shared library.

%package tools
Summary: lizip utilities
Requires: %{name} = %{version}-%{release}

%description tools
ZIP tools:
- zipcmp compares the zip archives or directories archive1 and archive2 
- zipmerge merges the source zip archives source-zip into the target zip archive target-zip
- ziptool modifies the zip archive zip-archive according to the commands given

%package devel
Summary:        Header files for libzip library
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for libzip library.

%prep
%setup -q

%patch0 -p1

mkdir build

%build

cd build

cmake \
  -DCMAKE_INSTALL_PREFIX=%{_prefix} \
  ..

%make_build

make test

%install

cd build

%make_install

rm %{buildroot}/%{_libdir}/libzip.so %{buildroot}/%{_libdir}/libzip.so.%{so_major}

mv %{buildroot}/%{_libdir}/libzip.so.%{so_major}.%{so_minor} %{buildroot}/%{_libdir}/libzip.so.%{so_major}

ln -s libzip.so.%{so_major} %{buildroot}/%{_libdir}/libzip.so

%files tools
%defattr(-, qsys, *none)

%{_bindir}/zipcmp
%{_bindir}/zipmerge
%{_bindir}/ziptool

%{_datadir}/doc/libzip/*

%license LICENSE
%doc README.md

%files -n libzip%{so_major}
%defattr(-, qsys, *none)

%{_libdir}/libzip.so.*

%license LICENSE
%doc README.md

%files devel
%defattr(-, qsys, *none)

%{_includedir}/zip.h
%{_includedir}/zipconf.h
%{_libdir}/cmake/libzip/*
%{_libdir}/libzip.so
%{_libdir}/pkgconfig/libzip.pc

%changelog
* Fri Nov 13 2020 Naveen Ram <naveen.ram@ibm.com> - 1.7.3
- Initial package
